function vainqueur = soustournoi (liste)
% La fonction 'soustournoi' prend en argument une liste 'liste' de 2^n joueurs
% composant une branche du tableau du tounoir (éventuellement le tableau
% entier), et nous en renvoie le vainqueur.

% On procède à des tours de tournoi jusqu'à ce qu'il ne reste plus qu'un
% seul joueur.
while (length(liste) > 1)
    liste = untour(liste);
end
% Le vainqueur 'vainqueur' est celui qui constitue la 1-liste finale. Pour
% Matlab, une 1-liste est la même chose qu'un scalaire, donc il suffit de
% renvoyer la 1-liste elle-même
vainqueur = liste;
return
end

