function apres = untour (avant)
% La fonction 'untour' simule un tour du tournoi de tennis : à partir de la
% liste de taille 2*n 'avant', elle simule les n matchs entre joueurs
% regroupés par paires de voisins et renvoie la n-liste des
% vainqueurs (dans le même ordre), appelée 'apres'.

% 'n' est le nombre de matchs.
n = length(avant) / 2;
% On alloue la mémoire pour 'apres'
apres = zeros(1,n);
% On simule les n matchs.
for i = 1:n
    apres(i) = vainqueur (avant(2*i-1), avant(2*i));
end

return
end

