function [reponse, strate] = seizegagne_strat
% La fonction 'seizegagne_strat' fait la même chose que 'seizegagne', mais
% renvoie en plus le numéro de la strate 'strate' dans laquelle se situe
% notre simulation. Je ne commente que les différences.

reponse = false;
joueursenlice = [16, FisherYates(15)];
% Le numéro de la strate correspond au plus fort joueur dans la moitié de
% tableau de #16, sachant qu'on regroupe toutes les valeurs >= 5 dans une
% même strate.
strate = min (min (joueursenlice (2:8)), 5);

for i = 1:4
    adversaire = soustournoi (joueursenlice (2 : 1+2^(i-1)));
    v = vainqueur (16, adversaire);
    if v ~= 16
        return
    else
        joueursenlice = cat (2, 16, joueursenlice (2+2^(i-1) : end));
    end
end

reponse = true;
return
end